Package org.silverpeas.components.gallery.media

## Interface MediaMetadataExtractor

- All Known Implementing Classes:
    `AbstractMediaMetadataExtractor`, `DrewMediaMetadataExtractor`

      public interface MediaMetadataExtractor

  Author:
    ehugonnet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<IptcProperty>` | `defineImageIptcProperties​(Iterable<String> propertyNames)` |
    `List<ExifProperty>` | `defineImageProperties​(Iterable<String> propertyNames)` |
    `List<MetaData>` | `extractImageExifMetaData​(File image)` |
    `List<MetaData>` | `extractImageExifMetaData​(File image, String lang)` |
    `List<MetaData>` | `extractImageIptcMetaData​(File image)` |
    `List<MetaData>` | `extractImageIptcMetaData​(File image, String lang)` |

- - ### Method Detail

    - #### defineImageIptcProperties

          List<IptcProperty> defineImageIptcProperties​(Iterable<String> propertyNames)

    - #### defineImageProperties

          List<ExifProperty> defineImageProperties​(Iterable<String> propertyNames)

    - #### extractImageExifMetaData

          List<MetaData> extractImageExifMetaData​(File image)
                                           throws MediaMetadataException,
                                                  IOException

      Throws:
        `MediaMetadataException`
        `IOException`

    - #### extractImageExifMetaData

          List<MetaData> extractImageExifMetaData​(File image,
                                                  String lang)
                                           throws MediaMetadataException,
                                                  IOException

      Throws:
        `MediaMetadataException`
        `IOException`

    - #### extractImageIptcMetaData

          List<MetaData> extractImageIptcMetaData​(File image)
                                           throws MediaMetadataException,
                                                  IOException

      Throws:
        `MediaMetadataException`
        `IOException`

    - #### extractImageIptcMetaData

          List<MetaData> extractImageIptcMetaData​(File image,
                                                  String lang)
                                           throws MediaMetadataException,
                                                  IOException

      Throws:
        `MediaMetadataException`
        `IOException`